
# Package for PostsApi

Posts api package in PHP, to use in projects if you needed.

## Getting Started

**_In:_** */application/config/***_<nameproject>_***.php*

```bash
require_once(ROOT.'/vendor/autoload.php');
```

**_where you want to use:_**

```bash
use Helper\PostsApi\PostsApi;
/***/
$postsApi = new PostsApi(array(
    "apiHostname"=>"...",
    "apiKey"=>"...",
    "apiToken"=>"..."
  ));
/***/
$res = $postsApi->method(parameters);
```

## Set Methods
Method | Description
---------|------------
setApiHostname($apiHostname) | set hostname
setApiKey($apiKey) | set apikey
setApiToken($apiToken) | set apitoken


## API Methods

Method | Description
---------|------------
getCollections() | get all Collections info
getCollection($collection) | get Collection info
getDossiers($collection) | get all dossiers from collection
getCollectionDossier($collection,$dossier) | get info from dossier
getDossierPosts($collection,$dossier,$perPage=null,$page=null,$ids=null) | get posts from dossier
getDossierPost($collection,$dossier,$post,$ids=null) | get post data
getCollectionLatestPosts($collection,$perPage=null,$page=null,$ids=null) | get Collections latest posts
getCollectionTags($collection,$lang) | get all tags from collection
getDossierTags($collection,$dossier) | get all tags from dossier
getSlugPost($slug,$ids,$iso) | get post data


__$ids__: image,date,dossier,dossier.related,dossier.tags,tags,media,content,authors
